Jack2 1.9.12

Public Member Functions | Protected Member Functions | List of all members
Jack::JackCoreMidiOutputPort Class Referenceabstract
Inheritance diagram for Jack::JackCoreMidiOutputPort:

## Public Member Functions
| JackCoreMidiOutputPort (double time_ratio, size_t max_bytes=4096, size_t max_messages=1024)
bool | Execute ()
bool | Init ()
void | ProcessJack (JackMidiBuffer *port_buffer, jack_nframes_t frames)
bool | Start ()
bool | Stop ()
Public Member Functions inherited from Jack::JackCoreMidiPort
| JackCoreMidiPort (double time_ratio)
const char * | GetAlias ()
const char * | GetName ()

## Protected Member Functions
virtual bool | SendPacketList (MIDIPacketList *packet_list)=0
void | Initialize (const char *alias_name, const char *client_name, const char *driver_name, int index, MIDIEndpointRef endpoint, SInt32 advance_schedule_time)
Protected Member Functions inherited from Jack::JackCoreMidiPort
void | Initialize (const char *alias_name, const char *client_name, const char *driver_name, int index, MIDIEndpointRef endpoint, bool is_output)
MIDIEndpointRef | GetEndpoint ()

## Additional Inherited Members
Static Public Member Functions inherited from Jack::JackCoreMidiPort
static bool | IsInternalPort (MIDIObjectRef port_aux)
Protected Attributes inherited from Jack::JackCoreMidiPort
double | time_ratio
MIDIEndpointRef | endpoint
Static Protected Attributes inherited from Jack::JackCoreMidiPort
static std::set< MIDIEndpointRef > | endpoint_list

## Detailed Description

Definition at line 32 of file JackCoreMidiOutputPort.h.

## Member Function Documentation

## ◆ Init()

bool Jack::JackCoreMidiOutputPort::Init | ( |  | ) |
| virtual

Called once when the thread is started

Reimplemented from Jack::JackRunnableInterface.

The documentation for this class was generated from the following file:

- JackCoreMidiOutputPort.h